Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1056473 (CVE-2012-6152) - CVE-2012-6152 pidgin: DoS when decoding non-UTF-8 strings in Yahoo protocol plugin
Summary: CVE-2012-6152 pidgin: DoS when decoding non-UTF-8 strings in Yahoo protocol p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-6152
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
TreeView+ depends on / blocked
 
Reported: 2014-01-22 09:36 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 06:56 UTC (History)
7 users (show)

Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 20:05:54 UTC


Attachments (Terms of Use)
Local copy of the patch (36.93 KB, patch)
2014-01-22 09:37 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0139 0 normal SHIPPED_LIVE Moderate: pidgin security update 2014-02-05 22:42:24 UTC

Description Huzaifa S. Sidhpurwala 2014-01-22 09:36:26 UTC
A Denial-of-Service flaw was found in the way Yahoo protocol plugin handled character encoding. Many places in the Yahoo! protocol plugin assumed incoming strings were UTF-8 and failed to transcode from non-UTF-8 encodings.  This can lead to a crash when receiving strings that aren't UTF-8. 

Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Thijs Alkemade and Robert Vehse as the original reporters of this issue.

Comment 1 Huzaifa S. Sidhpurwala 2014-01-22 09:37:43 UTC
Created attachment 853758 [details]
Local copy of the patch

Comment 3 Vincent Danen 2014-01-28 21:04:34 UTC
External References:

http://pidgin.im/news/security/?id=70

Comment 4 Huzaifa S. Sidhpurwala 2014-01-29 04:20:37 UTC
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]

Comment 5 errata-xmlrpc 2014-02-05 17:44:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html

Comment 6 Fedora Update System 2014-02-06 03:49:07 UTC
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-02-14 07:58:43 UTC
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.